html {
    scroll-behavior: smooth;
    scroll-padding-top: 120px; 
}

body {
    margin: 0;
    background-color: #000000;
}

@font-face {
    font-family: 'inter-light';
    src: url('./assets/fonts/Inter-Light.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'inter-bold';
    src: url('./assets/fonts/Inter-Bold.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'inter-regular';
    src: url('./assets/fonts/Inter-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}


/* -------------------------------------------------------------------------- */
/*                               NAVBAR SECTION                               */
/* -------------------------------------------------------------------------- */
.nav-holder{
    width: 100%;
    z-index: 999;
    position: fixed;
}
.navbar {
    background-color: #ffffff10;
    border: 1px solid #484848;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    max-width: 600px;
    border-radius: 30px;
    margin: 24px auto;
    backdrop-filter: blur(12px);
}
.logo {
    display: flex;
    align-items: center;
    border: 1px solid #484848;
    border-radius: 100%;
    width: 50px;
    height: 50px;
    margin: 5px;
    overflow: hidden;
}
.logo img {
    width: 100%;
}
.nav-links {
    display: flex;
    list-style: none;
    margin: auto 20px;
}
.nav-links a {
    color: #ffffff;
    text-decoration: none;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    font-size: 16px;
    margin: 15px;
}
.hamburger {
    display: none;
}

@media (max-width: 768px) {
    .hamburger {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-around;
        margin: 10px 20px;
        height: 24px;
        width: 25px;
        cursor: pointer;
    }
    .bar {
        flex-basis: 100%;
        height: 2.5px;
        background-color: #5e5e5e;
        border-radius: 50px;
    }

    .nav-links {
        flex-basis: 100%;
        flex-direction: column;
        align-content: center;
        text-align: center;
        margin: 0;
        padding: 0;

        overflow: hidden;
        max-height: 0px;
        transition: max-height 0.4s ease-out;
    }
    .nav-links li {
        margin-bottom: 25px;
    }
    .nav-links.active {
        max-height: 500px;
        transition: max-height 0.4s ease-in;
    }
}
@media (max-width: 636px) {
    .navbar {
        margin: 24px 10vw;
    }
}

/* -------------------------------------------------------------------------- */
/*                                HERO SECTION                                */
/* -------------------------------------------------------------------------- */
.hero-section{
    justify-content: center;
    align-items: center;
    padding: 30px;
    overflow-x: hidden;
    position: relative;
}
.hero-text{
    text-align: center;
    color: #ffffff;
    margin: 200px auto;
    position: relative;
}
.hero-text h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: clamp(2.5rem, 15vw, 6rem);
    margin: 0;
}
.hero-text h3{
    opacity: 0;
    font-family: 'Courier New';
    font-weight: 100;
    font-size: clamp(24px, 2vw, 32px);
    margin: 0;
}
.hero-text p{
    opacity: 0;
    font-family: 'inter-light';
    font-size: clamp(14px, 2vw, 18px);
    margin: 18px auto 40px;
}
.hero-text a{
    opacity: 0;
    color: #000000;
    font-family: 'inter-regular', Arial, Helvetica, sans-serif;
    font-size: 18px;
    text-decoration: none;
    padding: 10px 32px 12px;
    background-color: #ffffff;
    border-radius: 12px;
    transition: all 0.3s ease;
}
.hero-text a:hover{
    color: #ffffff;
    border: 1px solid #484848;
    background-color: #000000;
}
/* .hero-text img{
    width: clamp(280px, 50vw, 720px);
    aspect-ratio: 1 / 1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
} */
.hero-section img:nth-child(1){
    opacity: 0;
    position: absolute;
    top: 130px;
    right: clamp(-800px, calc(100vw - 1400px), -500px);
}
.hero-section img:nth-child(3){
    opacity: 0;
    position: absolute;
    bottom: 50px;
    left: clamp(-760px, calc(100vw - 1600px), -400px);
}

@media (max-width: 636px) {
    .hero-text{
        text-align: left;
    }
}
.light-circle-1 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    left: 50%;
    top: 150px;
    transform: translateX(-50%);
    pointer-events: none;
}

/* -------------------------------------------------------------------------- */
/*                                ABOUT SECTION                               */
/* -------------------------------------------------------------------------- */
.about-section{
    padding: 20px;
    position: relative;
    overflow-x: clip;
}
.about-container{
    opacity: 0;
    background-color: #0D0D0D;
    border: 1px solid #484848;
    border-radius: 24px;
    max-width: 750px;
    color: #ffffff;
    margin: 200px auto;
    padding: 16px 30px;
    text-align: center;
}
.about-container h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
}
.about-container div{
    opacity: 0;
    height: 1px;
    background-color: #484848;
    margin: auto 4vw;
}
.about-container p{
    opacity: 0;
    color: #AEAEAE;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    max-width: 700px;
    margin: 20px auto;
}
.light-circle-2 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    top: -100px;
    right: -200px;
}
.light-circle-3 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    bottom: -100px;
    left: -200px;
}
.about-section img{
    opacity: 0;
    position: absolute;
    bottom: 100px;
    right: clamp(-700px, calc(100vw - 1400px), -300px);
}

/* -------------------------------------------------------------------------- */
/*                               CHARACTER SECTION                            */
/* -------------------------------------------------------------------------- */
.character-section{
    margin: 60px auto ;
    position: relative;
    overflow-x: clip;
}
.character-header h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    color: #ffffff;
    text-align: center;
    margin: 0;
}
.character-header p{
    opacity: 0;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #ffffff;
    color: #AEAEAE;
    text-align: center;
}
.character-wrapper{
    opacity: 0;
    width: fit-content;
    margin: auto;
}
.character-card{
    border: 1px solid #484848;
    border-radius: 36px;
    padding: 30px;
    margin: 20px 20px 12px;
    display: flex;
    flex-direction: column;
    color: #ffffff;
    width: fit-content;
}
.character{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 800px;
}
.character-img{
    border: 1px solid #484848;
    border-radius: 24px;
    width: 250px;
    height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.character-img img{
    height: 200px;
}
.character-info{
    margin: 0 30px;
    max-width: 400px;
}
.character-info h1{
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: 40px;
    margin: 12px 0;
}
.character-info h3{
    font-family: 'inter-regular', Arial, Helvetica, sans-serif;
    font-size: 18px;
    margin: 0;
}
.character-info p{
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    padding-left: 20px;
    font-size: 14px;
    margin-top: 8px;
    color: #AEAEAE;
}
.character-addons div{
    height: 1px;
    background-color: #484848;
    margin: 12px 1vw;
}
.character-addons p{
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    text-align: center;
    max-width: 500px;
    margin: auto;
    color: #AEAEAE;
    font-size: 14px;
}
.credit-card{
    opacity: 0;
    background-color: #0D0D0D;
    border: 1px solid #484848;
    border-radius: 28px;
    max-width: 760px;
    padding: 20px 20px;
    margin: 0 20px;
}
.credit-card h3{
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    text-align: center;
    color: #ffffff;
    margin: 0 auto 10px;
}
.credit-card p{
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    text-align: center;
    color: #ffffff;
    margin: 0;
    font-size: 14px;
    color: #AEAEAE;
}
@media (max-width: 850px) {
    .character-info{
        max-width: 100%;
        margin: 0;
    }
    .character-img{
        width: 100%;
    }
    .character-img img{
        height: 150px;
    }
}
.light-circle-6 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    bottom: -200px;
    right: -200px;
}
.character-section img:nth-child(3){
    opacity: 0;
    position: absolute;
    bottom: -100px;
    right: clamp(-700px, calc(100vw - 1400px), -300px);
}

/* -------------------------------------------------------------------------- */
/*                             GAMEPLAY SECTION                               */
/* -------------------------------------------------------------------------- */
.gameplay-section{
    margin: 250px auto 60px;
    position: relative;
    overflow-x: clip;
}
.gameplay-header{
    text-align: center;
    color: #ffffff;
    padding: 0 20px;
}
.gameplay-header h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    margin: 0 auto;
}
.gameplay-header p{
    opacity: 0;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
}
.vid-container{
    opacity: 0;
    width: fit-content;
    margin: auto;
}
.gameplay-video{
    width: clamp(250px, 80vw, 700px);
    margin: 20px auto;
}
.controls-section{
    color: #ffffff;
    max-width: 800px;
    margin: 40px auto;
}
.controls-header{
    text-align: left;
    margin: 20px;
}
.controls-header h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: 24px;
}
.controls-header div{
    opacity: 0;
    height: 1px;
    background-color: #484848;
    margin: auto 1vw;
}
.controls-container div{
    opacity: 0;
    background-color: transparent;
    border: 1px solid #484848;
    border-radius: 16px;
    margin: 16px 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
}
.controls-container div:nth-child(odd){
    opacity: 0;
    background-color: #0D0D0D;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
}
.controls-container h3{
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
    font-weight: 100;
    font-size: 16px;
}

/* OBJ AND CHALLENGES  */
.obj-core-container{
    max-width: 800px;
    margin: 50px auto;
    color: #ffffff;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.objective, .core-challenges {
    opacity: 0;
    border: 1px solid #484848;
    border-radius: 16px;
    margin: 20px;
    padding: 18px;
    text-align: center;
    width: 320px;
}
.objective{
    background-color: #0D0D0D;
}
.objective h1, .core-challenges h1{
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: 24px;
}
.obj-header div, .core-header div{
    height: 1px;
    background-color: #484848;
    margin: auto 1vw;
}
.objective p, .core-challenges p{
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
    font-weight: 100;
    margin: 20px;
}
.light-circle-4 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    top: 300px;
    right: -200px;
}
.light-circle-5 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    bottom: -200px;
    left: -200px;
}
.gameplay-section img:nth-child(6){
    opacity: 0;
    position: absolute;
    bottom: -100px;
    left: clamp(-700px, calc(100vw - 1400px), -300px);
}

@media (max-width: 800px) {
    .objective, .core-challenges {
        width: 100%;
    }
}

/* -------------------------------------------------------------------------- */
/*                               FEATURES SECTION                             */
/* -------------------------------------------------------------------------- */
.features-section{
    margin: 300px auto 100px;
    position: relative;
    overflow-x: clip;
}
.features-header{
    text-align: center;
    color: #ffffff;
}
.features-header h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
}
.features-header p{
    opacity: 0;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
}
.features-container{
    justify-items: center;
    /* border: 1px solid #484848; */
    border-radius: 30px;
    margin: 36px auto;
    width: fit-content;
}
.features-card{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: 20px;
}
.features-card:nth-child(odd){
    background-color: transparent;
    flex-direction: row-reverse;
}
.features-img{
    opacity: 0;
    width: fit-content;
    border: 1px solid #484848;
    border-radius: 24px;
    overflow: hidden;
    margin: 20px;
}
.features-img img{
    max-height: 250px;
    aspect-ratio: 1/1;
}
.features-info{
    color: #ffffff;
    margin: 20px;
    width: clamp(200px, 30vw, 500px);
}
.features-info h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: 24px;
}
.features-info div{
    opacity: 0;
    height: 1px;
    background-color: #484848;
    margin: 12px auto;
}
.features-info p{
    opacity: 0;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
    margin-left: 16px;
}
.features-info li{
    opacity: 0;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
}
@media (max-width: 575px) {
    .features-info{
        width: 100%;
    }
    .features-container{
        margin: 36px 20px;
    }
}
.light-circle-7 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    top: 200px;
    left: -200px;
}
.light-circle-8 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    bottom: 400px;
    right: -200px;
}
.light-circle-9 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    bottom: -300px;
    left: -200px;
}
.features-section img:nth-child(6){
    opacity: 0;
    position: absolute;
    bottom: -100px;
    left: clamp(-700px, calc(100vw - 1400px), -300px);
}

/* -------------------------------------------------------------------------- */
/*                               SCORING SECTION                              */
/* -------------------------------------------------------------------------- */
.scoring-section{
    margin: 300px auto 100px;
    position: relative;
    overflow-x: clip;
}
.scoring-header{
    text-align: center;
    color: #ffffff;
    margin-bottom: 30px;
}
.scoring-header h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
}
.scoring-header p{
    opacity: 0;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
}
.scoring-card{
    border: 1px solid #484848;
    text-align: center;
    border-radius: 30px;
    color: #ffffff;
    max-width: 700px;
    margin: 20px auto;
    padding: 20px;
}
.scoring-card h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: 26px;
    margin-bottom: 32px;
}
.scoring-card h3{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: 20px;
}
.scoring-card p{
    opacity: 0;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
}
.progression-card{
    background-color: #0D0D0D;
    border: 1px solid #484848;
    text-align: center;
    border-radius: 30px;
    color: #ffffff;
    max-width: 700px;
    margin: 20px auto;
    padding: 20px;
}
.progression-card h1{
    opacity: 0;
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: 26px;
    margin-bottom: 32px;
}
.progression-card p{
    opacity: 0;
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
}
@media (max-width: 800px) {
    .scoring-card, .progression-card{
        margin: 20px;
    }
}
.light-circle-10 {
    opacity: 0;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.404) 0%, rgba(255, 255, 255, 0) 70%);
    filter: blur(60px);
    position: absolute;
    bottom: -300px;
    right: -200px;
}
.scoring-section img{
    opacity: 0;
    position: absolute;
    bottom: -100px;
    right: clamp(-700px, calc(100vw - 1400px), -300px);
}


/* FOOTER SECTION  */
.footer{
    background-color: #0D0D0D;
    border: 1px solid #484848;
    text-align: center;
    color: #ffffff;
    margin: 300px auto 0px;
    padding-top: 20px;
}
.footer h1{
    font-family: 'inter-bold', Arial, Helvetica, sans-serif;
    font-size: 26px;
    margin: 40px auto 20px;
}
.footer p{
    font-family: 'inter-light', Arial, Helvetica, sans-serif;
    color: #AEAEAE;
    margin: 30px;
}
.footer div{
    height: 1px;
    background-color: #484848;
    margin: 12px 12vw;
}


.light-circle-1.animate,
.light-circle-2.animate,
.light-circle-3.animate,
.light-circle-4.animate,
.light-circle-5.animate,
.light-circle-6.animate,
.light-circle-7.animate,
.light-circle-8.animate,
.light-circle-9.animate,
.light-circle-10.animate {
    animation-name: opacity;
    animation-duration: 1s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}


.hero-text h1.animate, 
.hero-text h3.animate, 
.hero-text p.animate, 
.hero-text a,
.about-container h1.animate, 
.about-container p.animate,
.character-header h1.animate,
.character-header p.animate,
.credit-card.animate,
.gameplay-header h1.animate,
.gameplay-header p.animate,
.controls-header h1.animate,
.features-header h1.animate,
.features-header p.animate,
.features-info h1.animate,
.features-info p.animate,
.features-info li.animate,
.scoring-header h1.animate,
.scoring-header p.animate,
.scoring-card h1.animate,
.scoring-card h3.animate,
.scoring-card p.animate,
.progression-card h1.animate,
.progression-card p.animate
{
    animation-name: textAnimation;
    animation-duration: 1.5s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
.hero-section img.animate:nth-child(1),
.about-section img.animate,
.character-section img.animate:nth-child(3),
.controls-container div.animate,
.core-challenges.animate,
.scoring-section img.animate
{
    animation-name: right;
    animation-duration: 2s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
.hero-section img.animate:nth-child(3),
.controls-container div.animate:nth-child(odd),
.objective.animate,
.gameplay-section img.animate:nth-child(6),
.features-section img.animate:nth-child(6)
{
    animation-name: left;
    animation-duration: 2s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
.about-container.animate,
.vid-container.animate{
    animation-name: opacity;
    animation-duration: 2s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
.character-wrapper.animate,
.features-img.animate
{
    animation-name: opacity;
    animation-duration: 2s;
    animation-delay: 0.5s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
.about-container div.animate,
.controls-header div.animate{
    animation-name: barAnimation;
    animation-duration: 1s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
.features-info div.animate {
    animation-name: barAnimation2;
    animation-duration: 1s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}

@keyframes textAnimation {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 0;
        transform: translateY(50%);
    }
    100% {
        opacity: 1;
    }
}
@keyframes barAnimation {
    0% {
        margin: auto 100%;
    }
    100% {
        margin: auto 4vw;
        opacity: 1;
    }
}
@keyframes barAnimation2 {
    0% {
        margin: 12px 100%;
    }
    100% {
        margin: 12px 10px;
        opacity: 1;
    }
}

@keyframes opacity {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@keyframes right {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 0;
        transform: translateX(30%);
    }
    100% {
        opacity: 1;
    }
}
@keyframes left {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 0;
        transform: translateX(-30%);
    }
    100% {
        opacity: 1;
    }
}